$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.82.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.82.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AF270FC86CBD277C7B0979BC0E0E79A09B2F6B21804C1D6EFFE5808D5CB298F5'
  checksumType = 'sha256'
  checksum64 = 'AF270FC86CBD277C7B0979BC0E0E79A09B2F6B21804C1D6EFFE5808D5CB298F5'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.82-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
